Bug 698135

Summary: Screen gets no more locked after suspend
Product: [Fedora] Fedora Reporter: Honza Horak <hhorak>
Component: gnome-power-managerAssignee: Richard Hughes <richard>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: adlorenz, awilliam, cfergeau, collura, cra, greg, iluha84, jancsika, jhaar, jhh, jskarvad, kraymer, lsof, manisandro, marco.laverdiere, mcepl, murrayc, nsoranzo, opensource, pknirsch, rebus, rhughes, richard, robert.swain, rstrode, sassmann, steven.chapel, theo148, tmraz, vondruch, web.cosas, xaverx
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=700468
Whiteboard:
Fixed In Version: gnome-power-manager-3.0.2-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-03 18:54:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
output of pm-utils-bugreport-info.sh none

Description Honza Horak 2011-04-20 05:46:17 EDT
Description of problem:
After I return from suspend, screen doesn't get locked, but it should always do, imho. And I can't find any settings for that issue, so I think it could be a bug.

Version-Release number of selected component (if applicable):
rpm -q pm-utils
pm-utils-1.4.1-6.fc15.x86_64
rpm -q gnome-screensaver
gnome-screensaver-3.0.0-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. go to suspend
2. press key to wake up
  
Actual results:
The screen isn't locked after suspend.

Expected results:
The screen is locked after suspend.


Additional info:
I see no problem in /var/log/messages.
Comment 1 Honza Horak 2011-04-20 05:48:28 EDT
Created attachment 493416 [details]
output of pm-utils-bugreport-info.sh
Comment 2 Jaroslav Škarvada 2011-04-20 06:25:11 EDT
Which method did you use for suspending (e.g. HW key, gnome menu or directly pm-suspend from console)?
Comment 3 Honza Horak 2011-04-20 06:57:08 EDT
I've tested all tree ways and only suspending from gnome menu works correctly (screen gets locked). If I press functional key (Fn + F4 by me) or run pm-suspend, then screen stays unlocked.
Comment 4 Honza Horak 2011-04-20 09:18:57 EDT
I've seen another strange behavior: when I click on suspend in gnome menu and have opened Looking Glass (Alt+F2 and run "lg") at the same time, then screen isn't locked as well. 

Then, if I do the same without opened Looking Glass, screen is correctly locked. 

So, the screen locking after suspend depends on other apps (at least Looking Glass) somehow.
Comment 5 Jaroslav Škarvada 2011-04-21 09:35:05 EDT
For pm-suspend it is not implemented. pm-suspend is low level utility that knows nothing about your desktop and doesn't communicate with it. Theoretically it could be supported by adding hook which would read g/dconf and then call gnome-screensaver-command but it would tricky to implement and tight to gnome.

For the other cases it should be handled by gnome-power-manager, thus reassigning.
Comment 6 Charles R. Anderson 2011-04-21 22:15:08 EDT
*** Bug 694483 has been marked as a duplicate of this bug. ***
Comment 7 Robert Swain 2011-04-21 23:58:28 EDT
I have just tried Fn + F4, shutting the lid and selecting suspend from the top-right user menu. Only the menu method locked the screen, the other two did not.
Comment 8 mlaverdiere 2011-04-25 10:06:11 EDT
Here's what I think is the cause of the problem (and the solution!):

In dconf-editor, the 2 following keys in org/gnome/power-manager are set to true (checked) by default:

lock-suspend
lock-use screensaver

However, the descriptive of lock-suspend says: "Whether the screen is locked when the computer wakes up from a suspend. Only used if lock-use-screensaver is false."

Setting lock-use-screensaver to false (unchecked) solves the problem, i.e. I now have locked screen upon resume.
Comment 9 Honza Horak 2011-04-26 09:07:48 EDT
The solutions from mlaverdiere works for me too.
Comment 10 Robert Swain 2011-04-29 02:59:12 EDT
And for me. Perhaps that option should be false by default.
Comment 11 xaverx 2011-05-04 08:52:01 EDT
another easy solution - command:

gsettings set org.gnome.power-manager lock-use-screensaver false
Comment 12 Jason Haar 2011-05-04 18:29:58 EDT
thanks for the fix. This is a security hole in my opinion - almost no-one will suspend by using the GUI - they'll close the lid like I do
Comment 13 Jonathan Wilkes 2011-06-04 16:45:32 EDT
I can confirm the solution from xaverx above works and agree that locking should be default behavior when closing the lid on a laptop.
Comment 14 Gregory Haynes 2011-06-25 14:52:45 EDT
Another confirmation of this issue and that the solution from mlaverdiere fixes it.
Comment 15 Adam Williamson 2011-07-11 15:22:24 EDT
*** Bug 708543 has been marked as a duplicate of this bug. ***
Comment 16 Adam Williamson 2011-07-11 15:23:44 EDT
This is fixed upstream, https://bugzilla.gnome.org/show_bug.cgi?id=650464 : we should probably ensure the fix lands in F15 quickly?
Comment 17 Need Real Name 2011-07-28 13:37:04 EDT
"Pushed to gnome-3-0 and master, many thanks Gary."

This fix was pushed to Gnome in June. Can we get it into Fedora?
Comment 18 Fedora Update System 2011-07-28 15:07:49 EDT
gnome-power-manager-3.0.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-power-manager-3.0.2-2.fc15
Comment 19 Fedora Update System 2011-07-30 23:44:40 EDT
Package gnome-power-manager-3.0.2-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-power-manager-3.0.2-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-power-manager-3.0.2-2.fc15
then log in and leave karma (feedback).
Comment 20 Need Real Name 2011-07-31 06:15:09 EDT
Thanks for the push.

I haven't seen the problem re-occur for suspend/resume yet, but I still definitely get the problem that gnome-screensaver doesn't seem to verify that the screen is actually locked before doing the next thing, be that user switching or whatever. So I think there is still an issue.
Comment 21 Adam Williamson 2011-08-02 13:43:06 EDT
there's lots of people on this report but only one logged-in feedback on the update: can some others please test and provide feedback?

NRN (06:15:09) - can you file a new bug for that, perhaps? It's probably better to track it separately from this.
Comment 22 Need Real Name 2011-08-02 13:55:53 EDT
(In reply to comment #21)
> NRN (06:15:09) - can you file a new bug for that, perhaps? It's probably better
> to track it separately from this.

Tricky - it's a general problem I think, nothing seems to check for success. I've reported it as bug 697199, but nobody seems to even care about it (despite how it blows open security on a desktop).
Comment 23 Fedora Update System 2011-08-03 18:54:02 EDT
gnome-power-manager-3.0.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 MuadNu 2011-11-19 13:02:50 EST
What's the status of this in Fedora 16? My screen is never locked after suspending, regardless of how I suspend. The previous fix doesn't see to work, there is no lock-use-screensaver key in org.gnome.power-manager any more...
Comment 25 Adam Williamson 2011-11-21 18:41:19 EST
for me in f16, when I resume from suspend, the system looks like it's unlocked for a few seconds, but I can't actually interact with anything. then it 'fades out' and shows the unlock screen.

so it's not behaving correctly, but it's not exactly insecure. and this is a different bug, really, as all the code changed in f16, i think, with the Great Let's Put Everything In gnome-settings-daemon Migration. so we should probably file it separately.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers